Subject: Re: `SIG_IGN' undeclared: Error when 'make' an application
From: "Gerrit P. Haase" <[email-masked]>
To: Miguel Cuesta <[email-masked]>
Cc: [email-masked]
Date: Sun, 3 Oct 2004 23:36:58 +0200

Hallo Miguel,

Am Sonntag, 3. Oktober 2004 um 23:10 schriebst du:

> Hi.

> Trying to install m4-1.4.2 (http://savannah.gnu.org/projects/m4/)
> on Cygwin (MS Windows 2000)

> When trying to 'make', I get this error message:
> -------------------------------
> make[1]: Entering directory `/home/root/m4-1.4.2/src'
> gcc -c -DHAVE_CONFIG_H -I.. -I. -I./../lib  -g -O2 m4.c
> m4.c: In function `main':
> m4.c:451: error: `SIG_IGN' undeclared (first use in this function)
> m4.c:451: error: (Each undeclared identifier is reported only once
> m4.c:451: error: for each function it appears in.)
> make[1]: *** [m4.o] Error 1
> make[1]: Leaving directory `/home/root/m4-1.4.2/src'
> make: *** [all] Error 1
> ---------------------------

> Any suggestion?

diff -urN -x .build -x .inst -x .sinst m4-1.4.2-orig/src/m4.c m4-1.4.2/src/m4.c
--- m4-1.4.2-orig/src/m4.c      2004-08-21 12:29:00.000000000 +0200
+++ m4-1.4.2/src/m4.c   2004-09-19 23:41:05.070438400 +0200
@@ -21,7 +21,11 @@
 #include "m4.h"
 
 #include <getopt.h>
+#ifndef __CYGWIN__
 #include <sys/signal.h>
+#else /* __CYGWIN__ */
+#include <signal.h>
+#endif /* __CYGWIN__ */
 
 static void usage _((int));

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/